Hey guys I have a V1.12 OTB I downgraded sucessfully to 1.11 install apps and it worked fine. I installed the prep tool and performed a upgrade to ver 1.12 and now it want to activate the same as when I had the phone new OTB any suggestions